Skip to main content
Endpoint/api/convert

EPUB to PDF Converter - Read eBooks on Any Device API

Convert EPUB eBooks into universal PDF format. Our engine optimizes the text and layout for reading on computers, tablets, and for printing. Preserve images and headers with ease.

Convert EPUB eBooks into universal PDF format. Our engine optimizes the text and layout for reading on computers, tablets, and for printing. Preserve images and headers with ease.

Request Parameters

ParameterTypeRequiredDescription
filebinaryYesThe source file.
tostringYesTarget format or same format for compression.

Code Examples

CURL

curl -X POST https://convertfleet.com/api/convert \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -F "file=@input.pdf" \
  -F "to=docx" \
  -o output.docx

JS

const axios = require('axios');
const fs = require('fs');
const FormData = require('form-data');

const form = new FormData();
form.append('file', fs.createReadStream('input.pdf'));
form.append('to', 'docx');

const res = await axios.post('https://convertfleet.com/api/convert', form, {
  headers: { ...form.getHeaders(), 'Authorization': 'Bearer YOUR_API_KEY' },
  responseType: 'arraybuffer',
});
fs.writeFileSync('output.docx', res.data);

PYTHON

import requests

res = requests.post(
    "https://convertfleet.com/api/convert",
    files={"file": open("input.pdf", "rb")},
    data={"to": "docx"},
    headers={"Authorization": "Bearer YOUR_API_KEY"}
)
open("output.docx", "wb").write(res.content)

Related Resources

Ready to Start Converting?

Join thousands of developers and businesses using Convert Fleet.